POSTGetBlockByNum

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/getblockbynum

Returns the Block Object corresponding to the 'Block Height' specified (number of blocks preceding it).

Request Body
numinteger (int32)

Block number (height). Example: 61815425

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
blockIDstring

예: 00000000000000c82a54a3bbdc956e1ddebc903f29b8daf28505b56f55a3f87d

raw_dataobject
numberinteger

예: 200

txTrieRootstring

예: 0000000000000000000000000000000000000000000000000000000000000000

witness_addressstring

예: 411661f25387370c9cd3a9a5d97e60ca90f4844e7e

parentHashstring

예: 00000000000000c7c8f27726916dfddca3c1c3481eb01da8a08938263674cea4

timestampinteger

예: 1529892138000

witness_signaturestring

예: 691e9116963b54ef7eb07692266319b029217e4d4ae8e8cb97e341617460f3822eff149c690aac6f2e0ad27d0af4fa8824d113d7a71c091245f778438ca4bde801

X-API-KEY
RequestCU30
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/getblockbynum" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "num": 86720418
}'
Response
Example · 200
{
  "blockID": "00000000000000c82a54a3bbdc956e1ddebc903f29b8daf28505b56f55a3f87d",
  "block_header": {
    "raw_data": {
      "number": 200,
      "txTrieRoot": "0000000000000000000000000000000000000000000000000000000000000000",
      "witness_address": "411661f25387370c9cd3a9a5d97e60ca90f4844e7e",
      "parentHash": "00000000000000c7c8f27726916dfddca3c1c3481eb01da8a08938263674cea4",
      "timestamp": 1529892138000
    },
    "witness_signature": "691e9116963b54ef7eb07692266319b029217e4d4ae8e8cb97e341617460f3822eff149c690aac6f2e0ad27d0af4fa8824d113d7a71c091245f778438ca4bde801"
  }
}